/*!
* Module dependencies
*/

var mongoose = require('mongoose');
var Schema = mongoose.Schema;

var MessageSchema = new Schema({
    message: {
        type: String,
    },
    type: {
        type: String
    },
    expiryDate: {
        type: String
    }
})

var NotificationSchema = new Schema({
    name: {
        type: String,
        required: true
    },
    data: MessageSchema,
    type: {
        type: String,
        required: true,
        enum: ["inapp", "event", "custom", "retention"]
    },
    createdDate: {
        type: Date,
        default: Date.now
    },
    deliveryDate: {
        type: Date,
    },
    isRepeat: {
        type: Boolean,
        required: true
    },
    frequency: {
        type: String,
        enum: ['once', 'daily', 'weekly', 'monthly']
    },
    enabled: {
        type: Boolean,
        required: true
    }
});

var SentNotificationSchema = new Schema({
    notification: {
        type: Schema.Types.ObjectId,
        ref: 'Notification'
    },
    sentDate: {
        type: Date
    }
});


/**
* Register
*/

mongoose.model('Notification', NotificationSchema);
mongoose.model('SentNotification', SentNotificationSchema);
