/*!
* Module dependencies
*/

var mongoose = require('mongoose');
var Schema = mongoose.Schema;

var ProductSchema = new Schema({
    name: {
        type: String,
        required: true
    },
    productId: {
        type: String,
        required: true,
        unique: true
    },
    type: {
        type: String,
        enum: ['iOS', 'android'],
        required: true
    },
    price: {
        type: Number,
        required: true
    },
    quantity: {
        type: Number,
        required: true
    },
    enabled: {
        type: Boolean,
        required: true
    },
    imageUrl: {
        type: String,
        required: true
    }
});

ProductSchema.path('price').get(function(num) {
  return (num / 100).toFixed(2);
});

// Setter
ProductSchema.path('price').set(function(num) {
  return num;
});

/**
* Register
*/

mongoose.model('Product', ProductSchema);
