/*!
* Module dependencies
*/

var mongoose = require('mongoose');
var Schema = mongoose.Schema;
var TutorialSchema = require('./tutorial');

var TaskSchema = new Schema({
    orderId: {
        type: Number,
        unique: true,
        required: true
    },
    name: {
        type: String,
    },
    type: {
        type: String,
        enum: ['shop', 'utility', 'coins', 'character', 'upgrade', 'social', 'share', 'levelup'],
        required: true
    },
    reward: {
        type: Number //reward will always be a number
    },
    typeId: {
        type: Number //building number or so on
    },
    level: {
        type: Number //level at which task will be unlocked
    },
    enabled: {
        type: Boolean,
        default: true
    },
    translation: {
        type: Object
    },
    tutorials: [TutorialSchema]
});


/**
* Register
*/

mongoose.model('Task', TaskSchema);
