/*!
* Module dependencies
*/

var mongoose = require('mongoose');
var Schema = mongoose.Schema;

var TutorialSchema = new Schema({
    id: {
        type: Number,
        required: true
    },
    name: {
        type: String,
        required: true
    },
    text: {
        type: String,
    },
    next: {
        type: Number
    },
    pointerType: {
        type: String,
        enum: ['hand', 'arrow']
    },
    trigger: {
        type: {
            type: String,
            enum: ['level', 'coins', 'event', 'none'],
            default: 'none'
        },
        value: {
            type: Number
        }
    },
    hand: {
        type: {
            type: String,
            enum: ['ui', 'gameplay']
        },
        positionPath: {
            type: String
        },
        position: {
            x: {
                type: Number
            },
            y: {
                type: Number
            }
        },
        offset: {
            x: {
                type: Number
            },
            y: {
                type: Number
            }
        },
        size: {
            width: {
                type: Number
            },
            height: {
                type: Number
            }
        }
    },
    arrow: {
        type: {
            type: String,
            enum: ['ui', 'gameplay']
        },
        positionPath: {
            type: String
        },
        position: {
            x: {
                type: Number
            },
            y: {
                type: Number
            }
        },
        orientation: {
            type: String,
            enum: ['left', 'right', 'top','bottom']
        },
        offset: {
            x: {
                type: Number
            },
            y: {
                type: Number
            }
        },
        size: {
            width: {
                type: Number
            },
            height: {
                type: Number
            }
        }
    },
    translation: {
        type: Object
    },
});

/**
* Register
*/

mongoose.model('Tutorial', TutorialSchema);

module.exports = TutorialSchema;
