
/*!
 * Module dependencies.
 */

var mongoose = require('mongoose');
var User = mongoose.model('User');

var local = require('./passport/local');
var facebook = require('./passport/facebook');
var google = require('./passport/google');
/**
 * Expose
 */

module.exports = function (passport, config) {
  // serialize sessions
  passport.serializeUser(function(user, done) {
    done(null, user._id)
  })

  passport.deserializeUser(function(_id, done) {
    User.findOne({ _id: _id }, function (err, user) {
       done(err, user)
    })
  })

  // use these strategies
  passport.use(local);
  passport.use(facebook);
  passport.use(google);
};
