
    /**
     * Module dependencies.
     */

    var mongoose = require('mongoose');
    var LocalStrategy = require('passport-local').Strategy;
    var config = require('config');
    var User = mongoose.model('User');
    var utils = require('../../utils');

    /**
     * Expose
     */

    module.exports = new LocalStrategy({
        usernameField: 'email',
        passwordField: 'password',
        passReqToCallback: true,
        session: false
      },
      function(req, email, password, done) {
        var options = {
          criteria: { email: email },
          select: 'firstName lastName email username hashed_password salt shipping role emailVerified'
        };
        User.load(options, function (err, user) {
            if (err) return done(err)
            if (!user) {
                return done(new Error("noUser"));
            }
            if (!user.authenticate(password)) {
                return done(new Error("wrongPassword"));
            }
            if(!user.emailVerified) {
                return done(new Error("emailNotVerified"));
            }
            return done(null, user);
        });
      }
    );
