
/**
 * Module dependencies.
 */

var mongoose = require('mongoose');
var notification = require('../../app/controllers/notification');
var utils = require('../../utils');

/**
 * Expose
 */
module.exports = function (app, passport) {

    app.get('/notifications', notification.read);

    app.get('/notifications/:notificationId', notification.detail);

    app.post('/notifications', notification.create);

    app.put('/notifications/:notificationId', notification.update);

    app.get('/sent-notifications', notification.sentNotifications);

    app.get('/send-pending-notifications', notification.sendPendingNotifications);

    app.delete('/notifications/:notificationId', notification.delete);
}
